﻿using System;
using System.Windows;
using Telerik.Windows.Controls.TreeView;

namespace Example
{
    /// <summary>
    /// Class Camag.Platypus.Client.PresentationLayerWPF.AttachedProperties.TreeViewDragCueProperties 
    /// </summary>
    public static class TreeViewDragCueProperties
    {
        /// <summary>
        /// IsDisplayingCountProperty
        /// </summary>
        public static readonly DependencyProperty IsDisplayingCountProperty = DependencyProperty.RegisterAttached(
            "IsDisplayingCount",
            typeof (Boolean),
            typeof (TreeViewDragCue),
            new FrameworkPropertyMetadata(false, FrameworkPropertyMetadataOptions.AffectsRender)
            );

        /// <summary>
        /// Sets the is displaying count.
        /// </summary>
        /// <param name="element">The element.</param>
        /// <param name="value">if set to <c>true</c> [value].</param>
        public static void SetIsDisplayingCount(TreeViewDragCue element, Boolean value)
        {
            element.SetValue(IsDisplayingCountProperty, value);
        }

        /// <summary>
        /// Gets the is displaying count.
        /// </summary>
        /// <param name="element">The element.</param>
        /// <returns>Boolean</returns>
        public static Boolean GetIsDisplayingCount(TreeViewDragCue element)
        {
            return (Boolean) element.GetValue(IsDisplayingCountProperty);
        }
    }
}